%define	emacsver	21.3
%define xemacsver	21.4
%define apelver		10.4-2m
%define dist_filename   020716

Summary: Hyper Nikki File mode for Emacsen
Name: elisp-hnf-mode
Version: 2.5
Release: 4m
License: GPL
Group: Applications/Editors
Source0: http://www.nijino.com/ari/programs/hnf-mode/hnf-mode-%{dist_filename}.tar.gz
NoSource: 0
Source10: hnf-comp.el
URL: http://www.nijino.com/ari/programs/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}
BuildPreReq: apel-emacs >= %{apelver}, apel-xemacs >= %{apelver}
Requires: emacsen

%description
hnf-mode is Emacs Lisp for HNF (Hypper Nikki File)

%package -n hnf-mode-emacs
Summary: Hyper Nikki File mode for Emacs
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
Requires: apel-emacs >= %{apelver}

%description -n hnf-mode-emacs
hnf-mode is Emacs Lisp for HNF (Hypper Nikki File)

%package -n hnf-mode-xemacs
Summary: Hyper Nikki File mode for XEmacs
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}
Requires: apel-xemacs >= %{apelver}

%description -n hnf-mode-xemacs
hnf-mode is Emacs Lisp for HNF (Hypper Nikki File)

%prep
%setup -q -n hnf-mode

%build 
cp %{SOURCE10} .
emacs -q -batch --no-site-file -l hnf-comp.el
for i in *.elc; do
    mv $i $i.emacs
done

xemacs -q -batch --no-site-file -l hnf-comp.el
for i in *.elc; do
    mv $i $i.xemacs
done

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/emacs/site-lisp/hnf-mode
install -m 644 *.el %{buildroot}%{_datadir}/emacs/site-lisp/hnf-mode
install -m 644 %{SOURCE10} %{buildroot}%{_datadir}/emacs/site-lisp/hnf-mode
for i in *.elc.emacs; do
    install -m 644 $i %{buildroot}%{_datadir}/emacs/site-lisp/hnf-mode/`basename $i .emacs`
done

mkdir -p %{buildroot}%{_libdir}/xemacs/site-lisp/hnf-mode
install -m 644 *.el %{buildroot}%{_libdir}/xemacs/site-lisp/hnf-mode
install -m 644 %{SOURCE10} %{buildroot}%{_libdir}/xemacs/site-lisp/hnf-mode
for i in *.elc.xemacs; do
    install -m 644 $i %{buildroot}%{_libdir}/xemacs/site-lisp/hnf-mode/`basename $i .xemacs`
done

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc ChangeLog NEWS.ja README.ja

%files -n hnf-mode-emacs
%defattr(-, root, root)
%{_datadir}/emacs/site-lisp/hnf-mode

%files -n hnf-mode-xemacs
%defattr(-, root, root)
%{_libdir}/xemacs/site-lisp/hnf-mode

%changelog
* Fri Dec  5 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (2.5-4m)
- change URI

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.5-3m)
- rebuild against emacs-21.3
- define apelver

* Mon Jan 13 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (2.5-2m)
- rebuild against elisp-apel-10.4-1m

* Sat Aug 17 2002 Hideo TASHIRO <tashiron@momonga-linux.org>
- (2.5-1m)
- version up to 2.5.
  (use http://www.h14m.org/dist/contrib/hnf-mode/hnf-mode-020329.tar.gz)

* Wed Mar 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.4-18k)
- rebuild against emacs-21.2

* Thu Nov 01 2001 Toshiro HIKITA <toshi@sodan.org>
- (2.3-16k)
- delete %trigger section

* Wed Oct 31 2001 Kazuhiko <kazuhiko@kondara.org>
- (2.3-14k)
- Requires: emacsen

* Wed Oct 31 2001 Kenta MURATA <muraken2@nifty.com>
- (2.3-12k)
- use %triggerin section

* Wed Oct 31 2001 Toshiro HIKITA <toshi@sodan.org>
- (2.3-10k)
- add hnf-comp.el for compile

* Mon Oct 29 2001 Hidetomo Machi <mcHT@kondara.org>
- (2.3-8k)
- modify BuildPreReq

* Sat Oct 20 2001 Kazuhiko <kazuhiko@kondara.org>
- (2.3-6k)
- requires common package

* Thu Oct 18 2001 Kazuhiko <kazuhiko@kondara.org>
- (elisp-hnf-mode-2.3-4k)

* Sun Dec  3 2000 KIM Hyeong Cheol <kim@kondara.org>
- (2.3-3k)
- use /usr/lib/xemacs instead of /usr/share/xemacs
- set load-path in build section.

* Thu Nov 23 2000 Mitsuru Shimamura  <mitsuru@diana.dti.ne.jp>
- first release
